package cn.yw.softwaremanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywsoftwareinfoDao")
public class YwsoftwareinfoDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	
	public void insert_Ywsoftwareinfo(Map map) throws SQLException{
		this.insert("insert_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywsoftwareinfo(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywsoftwareinfo",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywsoftwareinfo(Map map) throws SQLException{
		return this.update("update_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywsoftwareinfo(Map map) throws SQLException{
		return this.delete("delete_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywsoftwareinfo(Map map) throws SQLException{
		return this.delete("batch_delete_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywsoftwareinfo(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywsoftwareinfo(Map map) throws SQLException{
		return this.queryForPage("query_Ywsoftwareinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywsoftwareinfo(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywsoftwareinfo",map);
	}
	
	// 更新
	public Integer edit_Ywsoftwareinfo(Map map) throws SQLException{
		return this.update("edit_Ywsoftwareinfo",map);
	}
}
